Subject: Re: bug#25290: configure bug

From: Eric Blake <[email-masked]>
Date: Thu, 29 Dec 2016 11:26:00 -0600

On 12/29/2016 05:26 AM, Lauren Jackson wrote:
> Hello,
> 
> I am attempting to install automake in a local directory on a university
> supercomputing system. I have used ./configure --prefix=/home/path to
> install the dependent programs m4 and autoconf (v. 2.69 and 2.66 in
> different attempts). However, when trying to configure automake using the
> same prefix it reports that it detects autoconf but that the version is not
> 2.65 or higher. Is there a way to force the configuration to find the
> autoconf versions that I have installed locally? Thank you!

Pasting the EXACT error message may be helpful.  But perhaps this will work:

./configure AUTOCONF=/dir/of/bin/autoconf

where you are pointing to your just-installed newer version.  Or you can
try:

PATH=/dir/of/bin/autoconf:$PATH
./configure

to ensure that the first 'autoconf' on the PATH lookup is the new one.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org